<?php

namespace domain\Distribution\ProductDistribution;

use domain\_\AbstractModule;

class ProductDistributionModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProductDistributionDefinition::class,
            ProductDistributionRepository::class,
            ProductDistributionBuilder::class,
        ];
    }

    public function getDefinition(): ProductDistributionDefinition
    {
        return ProductDistributionDefinition::getInstance();
    }

    public function getRepository(): ProductDistributionRepository
    {
        return ProductDistributionRepository::getInstance();
    }

    public function getBuilder(): ProductDistributionBuilder
    {
        return ProductDistributionBuilder::getInstance();
    }
}